cc.funkemunky.api.tinyprotocol.packet.types

## Enum WrappedEnumDifficulty

- java.lang.Object
- - java.lang.Enum<WrappedEnumDifficulty>
  - - cc.funkemunky.api.tinyprotocol.packet.types.WrappedEnumDifficulty

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WrappedEnumDifficulty>

    public enum WrappedEnumDifficulty
    extends java.lang.Enum<WrappedEnumDifficulty>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EASY`
`HARD`
`NORMAL`
`PEACEFUL`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `a()`
`java.lang.String` `b()`
`static WrappedEnumDifficulty` `fromObject(java.lang.Enum var)`
`static WrappedEnumDifficulty` `getById(int var0)`
`static WrappedEnumDifficulty` `getByName(java.lang.String name)`
`java.lang.Object` `getObject()`
`static WrappedEnumDifficulty` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WrappedEnumDifficulty[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PEACEFUL

    public static final WrappedEnumDifficulty PEACEFUL

#### EASY

    public static final WrappedEnumDifficulty EASY

#### NORMAL

    public static final WrappedEnumDifficulty NORMAL

#### HARD

    public static final WrappedEnumDifficulty HARD

### Method Detail

#### values

    public static WrappedEnumDifficulty[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WrappedEnumDifficulty c : WrappedEnumDifficulty.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WrappedEnumDifficulty valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### a

    public int a()

#### getById

    public static WrappedEnumDifficulty getById(int var0)

#### b

    public java.lang.String b()

#### getByName

    public static WrappedEnumDifficulty getByName(java.lang.String name)

#### getObject

    public java.lang.Object getObject()

#### fromObject

    public static WrappedEnumDifficulty fromObject(java.lang.Enum var)